com.amazonaws.services.lambda.model

## Class ListFunctionsRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.lambda.model.ListFunctionsRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class ListFunctionsRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`ListFunctionsRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListFunctionsRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getMarker()` Optional string.
`Integer` `getMaxItems()` Optional integer.
`int` `hashCode()`
`void` `setMarker(String marker)` Optional string.
`void` `setMaxItems(Integer maxItems)` Optional integer.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListFunctionsRequest` `withMarker(String marker)` Optional string.
`ListFunctionsRequest` `withMaxItems(Integer maxItems)` Optional integer.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListFunctionsRequest

    public ListFunctionsRequest()

### Method Detail

#### setMarker

    public void setMarker(String marker)

Optional string. An opaque pagination token returned from a previous `ListFunctions` operation. If present, indicates where to continue the listing.

Parameters:
  `marker` - Optional string. An opaque pagination token returned from a previous `ListFunctions` operation. If present, indicates where to continue the listing.

#### getMarker

    public String getMarker()

Optional string. An opaque pagination token returned from a previous `ListFunctions` operation. If present, indicates where to continue the listing.

Returns:
  Optional string. An opaque pagination token returned from a previous `ListFunctions` operation. If present, indicates where to continue the listing.

#### withMarker

    public ListFunctionsRequest withMarker(String marker)

Optional string. An opaque pagination token returned from a previous `ListFunctions` operation. If present, indicates where to continue the listing.

Parameters:
  `marker` - Optional string. An opaque pagination token returned from a previous `ListFunctions` operation. If present, indicates where to continue the listing.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMaxItems

    public void setMaxItems(Integer maxItems)

Optional integer. Specifies the maximum number of AWS Lambda functions to return in response. This parameter value must be greater than 0.

Parameters:
  `maxItems` - Optional integer. Specifies the maximum number of AWS Lambda functions to return in response. This parameter value must be greater than 0.

#### getMaxItems

    public Integer getMaxItems()

Optional integer. Specifies the maximum number of AWS Lambda functions to return in response. This parameter value must be greater than 0.

Returns:
  Optional integer. Specifies the maximum number of AWS Lambda functions to return in response. This parameter value must be greater than 0.

#### withMaxItems

    public ListFunctionsRequest withMaxItems(Integer maxItems)

Optional integer. Specifies the maximum number of AWS Lambda functions to return in response. This parameter value must be greater than 0.

Parameters:
  `maxItems` - Optional integer. Specifies the maximum number of AWS Lambda functions to return in response. This parameter value must be greater than 0.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListFunctionsRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`